import { FilterOperator } from "./Filter";
import { IAPIMetaList } from "../APIResponse";
export type MetadataParams = keyof IAPIMetaList;
/**
 * @internal
 */
interface IQueryParameters {
    meta: MetadataParams[] | MetadataParams | "*" | string;
    fields: string | string[];
    limit: number;
    offset: number;
    page: number;
    single: 0 | 1 | boolean;
    sort: string | string[];
    status: string | string[];
    filter: {
        [field: string]: {
            [operator in FilterOperator]?: any;
        };
    };
    lang: string;
    q: string;
    groups: string | string[];
    activity_skip: number;
    comment: string;
    _signal: any;
}
/**
 * @see https://v8.docs.directus.io/api/reference.html#query-parameters
 */
export type QueryParams = Partial<IQueryParameters>;
/**
 * @internal
 */
interface IAssetQueryParameters {
    key: string;
    w: number;
    h: number;
    f: string;
    q: number;
}
/**
 * @see https://v8.docs.directus.io/api/reference.html#query-parameters
 */
export type AssetQueryParams = Partial<IAssetQueryParameters>;
export {};
