export interface IAbstractAPIResponse {
  error?: {
    /**
     * @see https://v8.docs.directus.io/api/reference.html#error-codes
     */
    code: number;
    message: string;
  };
}

export interface IAPIResponse<DataType, MetaDataType extends object = IAPIMetaList> extends IAbstractAPIResponse {
  meta?: MetaDataType;
  data: DataType;
}

/**
 * @see https://v8.docs.directus.io/api/query/meta.html
 */
export interface IAPIMetaList {
  collection?: string;
  type?: "collection" | "item";
  result_count?: number;
  total_count?: number;
  filter_count?: number;
  status_count?: Record<string, number>;
  page_count?: number;
  page?: number;
  limit?: number;
  offset?: number;
  links?: {
    self: string;
    current: string;
    first: string;
    last: string;
    next: null | string;
    previous: null | string;
  };
}
