/**
 * @see https://v8.docs.directus.io/api/reference.html#file-object
 */
export interface IFile {
  id: number;
  storage: string;
  private_hash: string;
  filename_disk: string;
  filename_download: string;
  title: string;
  type: string;
  uploaded_by: number;
  uploaded_on: Date;
  charset: string;
  filesize: number;
  width: number | null;
  height: number | null;
  duration: number | null;
  embed: string | null;
  folder: string | null;
  description: string;
  location: string;
  tags: string | string[];
  checksum: string;
  blurhash: string | null;
  metadata: object | null;
  data: null | {
    full_url: string;
    url: string;
    asset_url: string;
    thumbnails: {
      key: string;
      url: string;
      relative_url: string;
      dimension: string;
      width: number;
      height: number;
    }[];
    embed: null | {
      html: string;
      url: string;
    }
  };
}
